<template>
  <div ref="main" :class="className" :style="{height:height,width:width}" />
</template>

<script>
import echarts from 'echarts'
import resize from './mixins/resize'

export default {
  mixins: [resize],
  props: {
    className: {
      type: String,
      default: 'chart'
    },
    width: {
      type: String,
      default: '100%'
    },
    height: {
      type: String,
      default: '350px'
    },
    autoResize: {
      type: Boolean,
      default: true
    },
    chartData: {
      type: Object,
      required: true
    }
  },
  data() {
    return {
      chart: null
    }
  },
  watch: {
    chartData: {
      deep: true,
      handler(val) {
        this.setOptions(val)
      }
    }
  },
  mounted() {
    this.$nextTick(() => {
      this.initChart()
    })
  },
  beforeDestroy() {
    if (!this.chart) {
      return
    }
    this.chart.dispose()
    this.chart = null
  },
  methods: {
    // 折线图
    drawChart() {
      const that = this
      var bar_dv = this.$refs.main
      console.log(this.$refs)
      console.log(this.$refs.main)
      if (bar_dv) {
        console.log('bar_dv不为空')
        that.myChart = this.$echarts.init(bar_dv)
        console.log(that.myChart)
        var option = {
          title: {
            left: 'center',
            text: 'PM2.5动态走势',
            Color: 'green'
          },

          tooltip: {
            trigger: 'axis',
            axisPointer: {
              type: 'cross',
              label: {
                backgroundColor: '#6a7985'
              }
            }
          },
          xAxis: {
            type: 'category',
            boundaryGap: false,
            data: [1, 2, 3, 4, 5, 6, 7, 8, 9, 10]
          },
          yAxis: {
            type: 'value'
          },
          series: [{
            data: this.PM2_5Data,
            type: 'line',
            areaStyle: {},
            label: {
              normal: {
                show: true,
                position: 'top'
              }
            }
          }]
        }
        that.myChart.setOption(option)
      } else {
        console.log('bar_dv为空')
      }
    }
  }
}
</script>
